Package ruby: Information

Source package: ruby
Version: 2.5.9-alt1
Build time:  Nov 25, 2020, 05:30 PM
 in the task #261867
Category: Development/Ruby
Report package bug
License: BSD 2-clause Simplified License/Ruby 
Summary:  An Interpreted Object-Oriented Scripting Language
Description: 
Ruby is an interpreted scripting language for quick and easy object-oriented
programming. It has many features for processing text files and performing
system management tasks (as in Perl). It is simple, straight-forward, and
extensible.

This package contains interpreter of object-oriented scripting language Ruby.
List of rpms provided by this srpm: 
erb (noarch)
gem (noarch)
irb (noarch)
libruby (x86_64, ppc64le, i586, armh, aarch64)
libruby-debuginfo (x86_64, ppc64le, i586, armh, aarch64)
libruby-devel (x86_64, ppc64le, i586, armh, aarch64)
libruby-devel-static (x86_64, ppc64le, i586, armh, aarch64)
ri-doc (noarch)
ruby (x86_64, ppc64le, i586, armh, aarch64)
ruby-debuginfo (x86_64, ppc64le, i586, armh, aarch64)
ruby-doc (noarch)
ruby-miniruby-src (noarch)
ruby-stdlibs (x86_64, ppc64le, i586, armh, aarch64)
ruby-stdlibs-debuginfo (x86_64, ppc64le, i586, armh, aarch64)
Last changes:
Nov. 16, 2020 Pavel Skrylev 2.5.9-alt1
- ^ 2.5.5 -> 2.5.9
- Fixes:
  + CVE-2019-16255: A code injection vulnerability of Shell#[] and Shell#test
    (closes #39292)
  + CVE-2019-16254: HTTP response splitting in WEBrick (Additional fix)
  + CVE-2019-15845: A NUL injection vulnerability of File.fnmatch and
    File.fnmatch?
  + CVE-2019-16201: Regular Expression Denial of Service vulnerability of
    WEBrick's Digest access authentication
June 3, 2019 Gleb Fotengauer-Malinovskiy 2.5.5-alt3
- Fixed build on ppc64le architecture.
- spec: bootstrap: fixed miniruby version.
May 2, 2019 Pavel Skrylev 2.5.5-alt2
- Fixed ri documentation placement (closes: #36294)
Back to Top